Synnefo - Bug # 1948

Status: Closed Priority: Medium

Author: Antony Chazapis Category: Pithos

Created: 01/27/2012 Assignee: Antony Chazapis
Updated: 02/08/2013 Due date:

Subject: Restructure object listings in the backend

Description

Now, object listings are produced in multiple steps. First we get the version identifiers and then the metadata, permissions and public
flags. When the number of objects is large, this can prove slow. We need functions in the backend that will group these operations - at the
database level.

Associated revisions

Revision 33b4e4ab - 02/15/2012 10:55 pm - Antony Chazapis

Move ETag as checksum to version.

Refs #1948

Revision 33b4e4ab6 - 02/15/2012 10:55 pm - Antony Chazapis

Move ETag as checksum to version.

Refs #1948

Revision f7d5b0cf - 02/16/2012 12:38 am - Antony Chazapis

Move ETag as checksum to version (SQLAIchemy backend).

Refs #1948

Revision f7d5b0cf - 02/16/2012 12:38 am - Antony Chazapis

Move ETag as checksum to version (SQLAIchemy backend).

Refs #1948

Revision 371d907a - 02/16/2012 02:54 am - Antony Chazapis

Unified query for listing objects with properties.

Refs #1948

Revision 371d907a - 02/16/2012 02:54 am - Antony Chazapis
Unified query for listing objects with properties.
Revision 82482e2c - 02/17/2012 03:47 pm - Antony Chazapis

Make user-defined meta optional when retrieving from the backend.
Revision 82482e2c - 02/17/2012 03:47 pm - Antony Chazapis

Make user-defined meta optional when retrieving from the backend.

Document.

Fixes #1948

History

#1 - 02/16/2012 05:06 pm - Antony Chazapis

Remove user-defined meta from account/container listings as well.

#2 - 02/17/2012 03:50 pm - Antony Chazapis

- Status changed from New to Closed
- % Done changed from 0 to 100

Applied in changeset commit:"82482e2c3d3c0135a22267{62e3ba353073070ef".

#3 - 02/08/2013 06:59 pm - Vangelis Koukis
- Project changed from Pithos to Synnefo
- Target version deleted (0.9.0 (beta))

#4 - 02/08/2013 07:01 pm - Vangelis Koukis
- Category set to Pithos
